Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class UIResponseCardTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.UIResponseCardTO

All Implemented Interfaces:
  Serializable

public class UIResponseCardTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UIResponseCardTO()`
`UIResponseCardTO(String cardId, String description, byte[] image, String imagetype, String issuerName, String name, PropertyTO[] optionalClaims, PropertyTO[] properties, boolean saveCard, String[] supportedClaimTypes, UITokenServiceCredentialTO[] tokenservices, String type, String uid)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCardId()` Gets the cardId value for this UIResponseCardTO.
`String` | `getDescription()` Gets the description value for this UIResponseCardTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`byte[]` | `getImage()` Gets the image value for this UIResponseCardTO.
`String` | `getImagetype()` Gets the imagetype value for this UIResponseCardTO.
`String` | `getIssuerName()` Gets the issuerName value for this UIResponseCardTO.
`String` | `getName()` Gets the name value for this UIResponseCardTO.
`PropertyTO[]` | `getOptionalClaims()` Gets the optionalClaims value for this UIResponseCardTO.
`PropertyTO[]` | `getProperties()` Gets the properties value for this UIResponseCardTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String[]` | `getSupportedClaimTypes()` Gets the supportedClaimTypes value for this UIResponseCardTO.
`UITokenServiceCredentialTO[]` | `getTokenservices()` Gets the tokenservices value for this UIResponseCardTO.
`String` | `getType()` Gets the type value for this UIResponseCardTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getUid()` Gets the uid value for this UIResponseCardTO.
`int` | `hashCode()`
`boolean` | `isSaveCard()` Gets the saveCard value for this UIResponseCardTO.
`void` | `setCardId(String cardId)` Sets the cardId value for this UIResponseCardTO.
`void` | `setDescription(String description)` Sets the description value for this UIResponseCardTO.
`void` | `setImage(byte[] image)` Sets the image value for this UIResponseCardTO.
`void` | `setImagetype(String imagetype)` Sets the imagetype value for this UIResponseCardTO.
`void` | `setIssuerName(String issuerName)` Sets the issuerName value for this UIResponseCardTO.
`void` | `setName(String name)` Sets the name value for this UIResponseCardTO.
`void` | `setOptionalClaims(PropertyTO[] optionalClaims)` Sets the optionalClaims value for this UIResponseCardTO.
`void` | `setProperties(PropertyTO[] properties)` Sets the properties value for this UIResponseCardTO.
`void` | `setSaveCard(boolean saveCard)` Sets the saveCard value for this UIResponseCardTO.
`void` | `setSupportedClaimTypes(String[] supportedClaimTypes)` Sets the supportedClaimTypes value for this UIResponseCardTO.
`void` | `setTokenservices(UITokenServiceCredentialTO[] tokenservices)` Sets the tokenservices value for this UIResponseCardTO.
`void` | `setType(String type)` Sets the type value for this UIResponseCardTO.
`void` | `setUid(String uid)` Sets the uid value for this UIResponseCardTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIResponseCardTO

    public UIResponseCardTO()

### UIResponseCardTO

    public UIResponseCardTO(String cardId,
                            String description,
                            byte[] image,
                            String imagetype,
                            String issuerName,
                            String name,
                            PropertyTO[] optionalClaims,
                            PropertyTO[] properties,
                            boolean saveCard,
                            String[] supportedClaimTypes,
                            UITokenServiceCredentialTO[] tokenservices,
                            String type,
                            String uid)

Method Detail

### getCardId

    public String getCardId()

  Gets the cardId value for this UIResponseCardTO.

  Returns:
    cardId

### setCardId

    public void setCardId(String cardId)

  Sets the cardId value for this UIResponseCardTO.

  Parameters:
    `cardId` -

### getDescription

    public String getDescription()

  Gets the description value for this UIResponseCardTO.

  Returns:
    description

### setDescription

    public void setDescription(String description)

  Sets the description value for this UIResponseCardTO.

  Parameters:
    `description` -

### getImage

    public byte[] getImage()

  Gets the image value for this UIResponseCardTO.

  Returns:
    image

### setImage

    public void setImage(byte[] image)

  Sets the image value for this UIResponseCardTO.

  Parameters:
    `image` -

### getImagetype

    public String getImagetype()

  Gets the imagetype value for this UIResponseCardTO.

  Returns:
    imagetype

### setImagetype

    public void setImagetype(String imagetype)

  Sets the imagetype value for this UIResponseCardTO.

  Parameters:
    `imagetype` -

### getIssuerName

    public String getIssuerName()

  Gets the issuerName value for this UIResponseCardTO.

  Returns:
    issuerName

### setIssuerName

    public void setIssuerName(String issuerName)

  Sets the issuerName value for this UIResponseCardTO.

  Parameters:
    `issuerName` -

### getName

    public String getName()

  Gets the name value for this UIResponseCardTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this UIResponseCardTO.

  Parameters:
    `name` -

### getOptionalClaims

    public PropertyTO[] getOptionalClaims()

  Gets the optionalClaims value for this UIResponseCardTO.

  Returns:
    optionalClaims

### setOptionalClaims

    public void setOptionalClaims(PropertyTO[] optionalClaims)

  Sets the optionalClaims value for this UIResponseCardTO.

  Parameters:
    `optionalClaims` -

### getProperties

    public PropertyTO[] getProperties()

  Gets the properties value for this UIResponseCardTO.

  Returns:
    properties

### setProperties

    public void setProperties(PropertyTO[] properties)

  Sets the properties value for this UIResponseCardTO.

  Parameters:
    `properties` -

### isSaveCard

    public boolean isSaveCard()

  Gets the saveCard value for this UIResponseCardTO.

  Returns:
    saveCard

### setSaveCard

    public void setSaveCard(boolean saveCard)

  Sets the saveCard value for this UIResponseCardTO.

  Parameters:
    `saveCard` -

### getSupportedClaimTypes

    public String[] getSupportedClaimTypes()

  Gets the supportedClaimTypes value for this UIResponseCardTO.

  Returns:
    supportedClaimTypes

### setSupportedClaimTypes

    public void setSupportedClaimTypes(String[] supportedClaimTypes)

  Sets the supportedClaimTypes value for this UIResponseCardTO.

  Parameters:
    `supportedClaimTypes` -

### getTokenservices

    public UITokenServiceCredentialTO[] getTokenservices()

  Gets the tokenservices value for this UIResponseCardTO.

  Returns:
    tokenservices

### setTokenservices

    public void setTokenservices(UITokenServiceCredentialTO[] tokenservices)

  Sets the tokenservices value for this UIResponseCardTO.

  Parameters:
    `tokenservices` -

### getType

    public String getType()

  Gets the type value for this UIResponseCardTO.

  Returns:
    type

### setType

    public void setType(String type)

  Sets the type value for this UIResponseCardTO.

  Parameters:
    `type` -

### getUid

    public String getUid()

  Gets the uid value for this UIResponseCardTO.

  Returns:
    uid

### setUid

    public void setUid(String uid)

  Sets the uid value for this UIResponseCardTO.

  Parameters:
    `uid` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD